#!/bin/sh
#
# This script looks through all the 40minute and 9 hour files generated by
# CHASTE TestMeinekeLabellingExperiment.hpp
#
# It compiles the output from several different runs, fill in the SETUP 
# section below.

# BEGIN SETUP
results=$CHASTE_TEST_OUTPUT/
run[0]="2008-02-04-11-40"
run[1]="2008-02-04-11-43"
run[2]="2008-02-04-11-45"
run[3]="2008-02-04-11-55"
run[4]="2008-02-04-11-59"
first_experiment=350
last_experiment=840
# END OF SETUP

if cd $results; then
	rm -f first_lines.txt
	rm -f last_lines.txt
	rm -rf compiled_results
else
	echo "Could not change directory! Aborting." 1>&2
	exit 1
fi

for ((j = 0 ; j<${#run[*]} ; j++))	# Number of program runs
do 
	echo "Compiling results from run $j"
	for (( i=$first_experiment ; i<=$last_experiment ; i=i+10 ))
	do
		head -1 ${run[$j]}/MeinekeLabellingExperiment/results_from_time_"$i".667/vis_results/results.viznodes >> first_lines.txt
		tail -1 ${run[$j]}/MeinekeLabellingExperiment/results_from_time_"$i".667/vis_results/results.viznodes >> last_lines.txt
	done
	j_plus_one=`expr "$j" "+" 1`
	cp ${run[$j]}/MeinekeLabellingExperiment/results/labelled_t40_totals50_run_"$j_plus_one".dat .
        cp ${run[$j]}/MeinekeLabellingExperiment/results/labelled_t9_totals50_run_"$j_plus_one".dat .
done

mkdir compiled_results
mv labelled_* compiled_results/
mv first_lines.txt compiled_results/
mv last_lines.txt compiled_results/
echo "Results compiled and written to directory ${results}/compiled_results"

